[arch-commits] Commit in aarch64-linux-gnu-binutils/repos (2 files)

Anatol Pomozov anatolik at archlinux.org
Fri Feb 26 18:55:59 UTC 2021


    Date: Friday, February 26, 2021 @ 18:55:59
  Author: anatolik
Revision: 874437

archrelease: copy trunk to community-testing-x86_64

Added:
  aarch64-linux-gnu-binutils/repos/community-testing-x86_64/
  aarch64-linux-gnu-binutils/repos/community-testing-x86_64/PKGBUILD
    (from rev 874436, aarch64-linux-gnu-binutils/trunk/PKGBUILD)

----------+
 PKGBUILD |   66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

Copied: aarch64-linux-gnu-binutils/repos/community-testing-x86_64/PKGBUILD (from rev 874436, aarch64-linux-gnu-binutils/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2021-02-26 18:55:59 UTC (rev 874437)
@@ -0,0 +1,66 @@
+# Maintainer: Anatol Pomozov <anatol.pomozov at gmail.com>
+
+_target=aarch64-linux-gnu
+pkgname=$_target-binutils
+pkgver=2.36.1
+pkgrel=1
+pkgdesc='A set of programs to assemble and manipulate binary and object files for the ARM64 target'
+arch=(x86_64)
+url='https://www.gnu.org/software/binutils/'
+license=(GPL)
+depends=(zlib)
+source=(https://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
+sha1sums=('968cddc17354142ab7d60b93d7f169ec8373a9f4'
+          'SKIP')
+validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93'  # Tristan Gingold <gingold at adacore.com>
+              '3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F') # Nick Clifton (Chief Binutils Maintainer) <nickc at redhat.com>
+
+prepare() {
+  cd binutils-$pkgver
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+}
+
+build() {
+  cd binutils-$pkgver
+
+  if [ "${CARCH}" != "i686" ];
+  then
+    # enabling gold linker at i686 makes the install fail
+    enable_gold='--enable-gold'
+  fi
+
+  ./configure --target=$_target \
+              --with-sysroot=/usr/$_target \
+              --prefix=/usr \
+              --disable-multilib \
+              --with-gnu-as \
+              --with-gnu-ld \
+              --disable-nls \
+              --enable-ld=default \
+              $enable_gold \
+              --enable-plugins \
+              --enable-deterministic-archives
+
+  make
+}
+
+check() {
+  cd binutils-$pkgver
+
+  # unset LDFLAGS as testsuite makes assumptions about which ones are active
+  # do not abort on errors - manually check log files
+  make -k LDFLAGS="" check || true
+}
+
+package() {
+  cd binutils-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # Remove file conflicting with host binutils and manpages for MS Windows tools
+  rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,windres,windmc}*
+  rm "$pkgdir"/usr/lib/bfd-plugins/libdep.so
+
+  # Remove info documents that conflict with host version
+  rm -r "$pkgdir"/usr/share/info
+}


More information about the arch-commits mailing list